1. conite's Avatar
    Is there a patcher service for mac?
    No. Not unless you can run Windows on it.
    DreadPirateRegan likes this.
    04-05-16 02:49 PM
  2. Jurgovic's Avatar
    I tried to patch an APK file, but the patcher can't rebuild (compile) the patched APK.
    What could be wrong?
    04-05-16 04:59 PM
  3. Smokeaire's Avatar
    I tried to patch an APK file, but the patcher can't rebuild (compile) the patched APK.
    What could be wrong?
    Make sure Decompile check box is unchecked (in second tab I believe) in Play Service Patcher.
    04-05-16 05:31 PM
  4. Jurgovic's Avatar
    The Decompile check box was unchecked.
    Here's the detailed patcher log:

    Processing C:\Users\Jurgen\Documents\nl.vodafonetv.vinson.apk
    The package contains 1 classes.dex file
    [Decompiling classes]
    I: Using Apktool 2.0.2 on nl.vodafonetv.vinson.apk
    I: Copying raw resources...
    I: Baksmaling classes.dex...
    Decompiled 9.03 MB in 8.94 seconds
    Done.
    [Analyzing Package]
    Google Play services dependencies detected
    Found: C:\Users\Jurgen\Downloads\PS_Patcher-1.4\tmp\nl.vodafonetv.vinson\smali\com\google\andr oid\gms\common\GooglePlayServicesUtil.smali
    Found: C:\Users\Jurgen\Downloads\PS_Patcher-1.4\tmp\nl.vodafonetv.vinson\smali\com\google\andr oid\gms\common\zzd.smali
    No matching pattern to identify Google Ads file
    [Analysis completed]

    Press CONTINUE to proceed or CANCEL to abort.

    [Patching isGooglePlayServicesAvailable]
    .method public static isGooglePlayServicesAvailable(Landroid/content/ContextI
    in file C:\Users\Jurgen\Downloads\PS_Patcher-1.4\tmp\nl.vodafonetv.vinson\smali\com\google\andr oid\gms\common\GooglePlayServicesUtil.smali
    Done.
    [Patching isSignatureValid]
    .method static varargs ˊ(Landroid/content/pm/PackageInfo;[Lcom/google/android/gms/common/zzc$ifLcom/google/android/gms/common/zzc$if;
    in file C:\Users\Jurgen\Downloads\PS_Patcher-1.4\tmp\nl.vodafonetv.vinson\smali\com\google\andr oid\gms\common\zzd.smali
    Done.
    [Patching isGoogleSigned]
    .method private static ´(Landroid/content/pm/PackageInfo;Z)Z
    in file C:\Users\Jurgen\Downloads\PS_Patcher-1.4\tmp\nl.vodafonetv.vinson\smali\com\google\andr oid\gms\common\zzd.smali
    Done.
    [Rebuilding]
    I: Using Apktool 2.0.2
    I: Checking whether sources has changed...
    I: Smaling smali folder into classes.dex...
    Error: Package cannot be recompiled.
    [Cleaning up]
    Done.
    04-05-16 05:56 PM
  5. eywong's Avatar
    [Decompiling classes]
    I: Using Apktool 2.0.2 on nl.vodafonetv.vinson.apk
    Try using Apktool 2.0.1, which is packaged with Play Services Patcher 1.4.
    Last edited by eywong; 04-06-16 at 01:37 AM.
    04-05-16 06:20 PM
  6. Josuemental's Avatar
    My BlackBerry Passport (Software release: 10.3.2.2836. OS version: 10.3.2.2876) is not letting me install your Google Play Services, it gives me the message "Unable to install this app"

    Edit: See, the problem was the Google Play Services apk, because I just tried with the build 5 update and now it installed, thank you very much Cobalt232 for the update
    Last edited by Josuemental; 04-13-16 at 07:08 PM.
    04-06-16 12:39 AM
  7. eywong's Avatar
    My BlackBerry Passport (Software release: 10.3.2.2836. OS version: 10.3.2.2876) is not letting me install your Google Play Services, it gives me the message "Unable to install this app"
    Post #1 of this thread might help you: OS 10.3.2.2876 Android Runtime analysis
    04-06-16 01:27 AM
  8. sniperla's Avatar
    Uninstall the SD Card, start the Device New and Start the Install Progres again. It should work now.
    04-06-16 08:22 AM
  9. Jurgovic's Avatar
    Thanks for your reply Eywong.
    I tried APKTool 2.0.1. That didn't even decompile the file. So that's not working either.

    I'm a bit puzzled..
    04-06-16 09:06 AM
  10. eywong's Avatar
    I tried APKTool 2.0.1. That didn't even decompile the file. So that's not working either.
    Maybe try Apktool 2.1.0? Apktool - A tool for reverse engineering Android apk files
    04-06-16 09:36 AM
  11. Jurgovic's Avatar
    Yeah, that's what I thought. But same story here. I also tried 2.0.3. Same problem.

    Suggestions, anyone?!
    04-06-16 11:38 AM
  12. eywong's Avatar
    Suggestions, anyone?!
    Try: Options -> Update Framework
    04-06-16 12:16 PM
  13. ericcartmen's Avatar
    done uploading bro here you go.. snapchatV9.16.0.2 works to all BlackBerry 10

    https://mega.nz/#!rIsF3ZJK!SG9SBQ4H5...uph-AY1mWeX6X0

    BlackBerry z10


    Are you able to use the lenses ? I want to puke rainbows and stuff like that

    I installed the version that you have shared on my Z10 yesterday.
    My phone is running the latest OS version with updated ART from the BBWorld and I also got the Cobalt apps.
    04-06-16 12:23 PM
  14. Jurgovic's Avatar
    Try: Options -> Update Framework

    Update framework also doesn't help.. :-(
    04-06-16 01:53 PM
  15. moonhacker's Avatar
    I'm having a problem with Google maps. I've tried uninstalling it so that I can patch it, but every time I go to reinstall it it says in the playstore that there is an update, as if it's still on my device. Is it hidden?
    04-06-16 02:06 PM
  16. RoseBud68's Avatar
    I'm having a problem with Google maps. I've tried uninstalling it so that I can patch it, but every time I go to reinstall it it says in the playstore that there is an update, as if it's still on my device. Is it hidden?
    Which OS are you on? If 2876 than you will need to update the Android Run Time. See the link a few post above your.


    Posted via CB10
    04-06-16 03:44 PM
  17. moonhacker's Avatar
    Which OS are you on? If 2876 than you will need to update the Android Run Time. See the link a few post above your.


    Posted via CB10
    Somehow I missed that...Thank You!
    04-06-16 04:34 PM
  18. Josuemental's Avatar
    Post #1 of this thread might help you: OS 10.3.2.2876 Android Runtime analysis
    I just updated Android's runtime from BlackBerry World, restarted and tried again, didn't help

    Uninstall the SD Card, start the Device New and Start the Install Progres again. It should work now.
    My Passport doesn't have an SD card inserted.
    04-07-16 12:21 AM
  19. dman2009's Avatar
    Hey Cobalt! I've been using your Patching solution for quite some time now and really appreciate everything you've done for the BB10 community. Your solutions have made our phones so easy to use and capable.

    For this new Google Maps API V2 issue, I was wondering if the following would be possible:

    - Build in functionality into the current patcher to use a Maps API V2 key supplied by the user. Maybe it will help that the key doesn't get a lot of volume. Then everyone would be responsible for getting their own key.

    Also, I noticed that some apps continue to work fine after patching. I'm guessing those apps must use a different maps protocol.

    Thanks!
    Lusitano17 and dpgo like this.
    04-07-16 01:58 AM
  20. dman2009's Avatar
    Sorry, but my Maps key was shut down by Google (well it was shut down by myself because Google contacted me). This is the end of the Google Maps integration.

    What I can offer is the following:
    If anyone is willing to provide a valid Google Maps V2 API key, I will implement it into Play Services. You can create an MAPS API V2 key in the Google Developer console. Don't associate an app name or a signature with it, so that it can work with any app and any signature.

    But just keep in mind, that Google will jump at you, because the key will be used by all patched apps. This is no problem for free-ware apps, but if an app has a commercial usage, the key is not allowed to be used. That's why they contacted me.
    Hey Cobalt. I actually wrote another post about this in a different forum. Sorry for the duplication but I thought it would be better to do with the quoted text for context.

    Now that I've read this again, it seems that the Google Maps V2 API key needs to be integrated into the modified Google Play Services file that you make for us (Google Settings). By giving everyone the same key, the volume of hits must raise a red flag with Google. So, I was wondering if it would be possible to do the following:

    1. Develop a version of the GPS file that does not include the maps API. I think this is already the current version.

    2. Build a function into the Play Services Patcher that would allow the user to modify the GPS file with their own Google Maps V2 API Key.

    The thought is that if everyone uses their own key, the likelihood of everyone getting nasty emails from Google would be lower. I think a lot of us would only use the API a few times a week when they open applications like Open Table.

    This also takes all potential liability away from you since you're no longer injecting the key.

    What do you think?
    Wolfgan likes this.
    04-07-16 05:25 AM
  21. eywong's Avatar
    My BlackBerry Passport (Software release: 10.3.2.2836. OS version: 10.3.2.2876) is not letting me install your Google Play Services, it gives me the message "Unable to install this app"
    Post #1 of this thread might help you: OS 10.3.2.2876 Android Runtime analysis
    I just updated Android's runtime from BlackBerry World, restarted and tried again, didn't help
    Is an unpatched Google Play Services installed on your phone? First, uninstall it. Then, try again to install Cobalt's patched .apk.
    04-07-16 09:10 AM
  22. Dredvard's Avatar
    I'm trying to patch Clash Royale and it doesn't seem to work. It won't get the install part. It starts proessing and then stops. The patched app gives me the error "Unable to install this app". Any suggestions as to what I might be doing wrong. I can download and install the original from the Play Store. The patched one just doesn't seem to be able to install.
    04-07-16 11:32 PM
  23. eywong's Avatar
    I'm trying to patch Clash Royale and it doesn't seem to work. It won't get the install part. It starts proessing and then stops. The patched app gives me the error "Unable to install this app". Any suggestions as to what I might be doing wrong. I can download and install the original from the Play Store. The patched one just doesn't seem to be able to install.
    Try: uninstall the unpatched Clash Royale from your phone, then install the patched Clash Royale.

    In addition, if your phone is running OS 10.3.2.2876, post #1 of this thread might help: OS 10.3.2.2876 Android Runtime analysis
    04-08-16 02:20 AM
  24. DamianWarS's Avatar
    Hey Cobalt. I actually wrote another post about this in a different forum. Sorry for the duplication but I thought it would be better to do with the quoted text for context.

    Now that I've read this again, it seems that the Google Maps V2 API key needs to be integrated into the modified Google Play Services file that you make for us (Google Settings). By giving everyone the same key, the volume of hits must raise a red flag with Google. So, I was wondering if it would be possible to do the following:

    1. Develop a version of the GPS file that does not include the maps API. I think this is already the current version.

    2. Build a function into the Play Services Patcher that would allow the user to modify the GPS file with their own Google Maps V2 API Key.

    The thought is that if everyone uses their own key, the likelihood of everyone getting nasty emails from Google would be lower. I think a lot of us would only use the API a few times a week when they open applications like Open Table.

    This also takes all potential liability away from you since you're no longer injecting the key.

    What do you think?
    Agreed I had brought this up too. If there was an input area to insert a key then each user can manage their own key and choose which apps to include it with to manage exposure. This method could also allow a shared key but since you can't control the exposure it will be flagged quickly.
    dman2009 likes this.
    04-08-16 02:26 AM
  25. Tom Werner's Avatar
    I patched the Uber Driver App on my Blackberry Classic running 10.3.2.2514, and now I have lost the map that shows location and surge overlay.

    I can still accept rides, and have my rides tracked accurately, but I am "flying blind" in regard to the map that usually appears on the screen with the Uber Driver App is running.

    What can I do to fix this?

    Thanks,

    Tom
    04-08-16 06:37 AM
9,589 ... 226227228229230 ...

Similar Threads

  1. Which android app you want to run on your BlackBerry
    By amritanshu singh in forum General BlackBerry Discussion
    Replies: 116
    Last Post: 05-19-18, 11:54 AM
  2. Will the amazon app store kill the blackberry world app store?
    By Allgoodnicknamesaretaken in forum BlackBerry Passport
    Replies: 26
    Last Post: 01-28-15, 12:23 PM
  3. Getting the PayPal app for my new Passport?
    By JVRudnick in forum BlackBerry Passport
    Replies: 22
    Last Post: 12-22-14, 11:29 PM
  4. Facebook & Crackberry Apps on Passport
    By UKAsh in forum CrackBerry Apps
    Replies: 5
    Last Post: 11-05-14, 11:43 PM
  5. BB Link type App for iphone 6 - ipad ??
    By Chopper110 in forum BlackBerry Z10
    Replies: 7
    Last Post: 10-06-14, 05:01 AM
LINK TO POST COPIED TO CLIPBOARD